> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Update

PATCH https://webhooks.ordergroove.com/webhook_targets/{id}
Content-Type: application/json

You must authenticate with API User scope to access.

Reference: https://docs.ordergroove.com/reference/webhooks-api/webhook-targets/create-5

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-webhooks-api
  version: 1.0.0
paths:
  /webhook_targets/{id}:
    patch:
      operationId: create-5
      summary: Update
      description: You must authenticate with API User scope to access.
      tags:
        - webhookTargets
      parameters:
        - name: id
          in: path
          description: Public identifier of webhook target
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook Targets_create-5_Response_200'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Create-5RequestNotFoundError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                target_url:
                  type: string
                  description: >-
                    Url to which Ordergroove will send events. (must be
                    accessible)
                enabled:
                  type: boolean
                  description: >-
                    Whether or not Ordergroove is actively sending the target
                    events.
servers:
  - url: https://webhooks.ordergroove.com
    description: https://webhooks.ordergroove.com
components:
  schemas:
    Webhook Targets_create-5_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Webhook Targets_create-5_Response_200
    Create-5RequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Create-5RequestNotFoundError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
"{\n  \"id\": \"5f15ef298dc15df9bc6eda35\"\n  \"merchant\": \"aaaa1111bbbb2222cccc\",\n  \"target_url\": \"https://webhook.target/uri\",\n  \"enabled\": false,\n  \"created\": 1595273001,\n  \"updated\": 1597260663\n}"
```

**SDK Code**

```python Result
import requests

url = "https://webhooks.ordergroove.com/webhook_targets/id"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://webhooks.ordergroove.com/webhook_targets/id';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://webhooks.ordergroove.com/webhook_targets/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://webhooks.ordergroove.com/webhook_targets/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://webhooks.ordergroove.com/webhook_targets/id")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://webhooks.ordergroove.com/webhook_targets/id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://webhooks.ordergroove.com/webhook_targets/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://webhooks.ordergroove.com/webhook_targets/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```